#include "oracle-oci-7.x.hh"


/*
*  UESQLC::oracle-oci-7.x internal variables initiation.
*/

TOci7xManager   htOci7xManager;


/*
*  Name:      test-general-1.uesql.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Exhaustive test for UESQL
*  Date:      $Date: 1998/10/29 23:10:30 $
*  Revision:  $Revision: 1.3 $
*
*  Copyright (C) 1996-1998  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

/*
*  I have had to substitute the field named C by another name to
*  avoid collision with NRW_C.
*
*  --  ::=  Compiler error
*  --- ::=  Sentence error
*
*/


int main (void)
{

{
/*
*  OCI 7.x instructions.
*/
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT CATALOG1.SCHEME1.STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY CATALOG1.SCHEME1.STAFF.EMPNUM");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT CATALOG1.SCHEME1.STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) INTO  FROM STAFF, WORKS GROUP BY CATALOG1.SCHEME1.STAFF.EMPNUM");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT MODULE.STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY MODULE.STAFF.EMPNUM");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT MODULE.STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) INTO  FROM STAFF, WORKS GROUP BY MODULE.STAFF.EMPNUM");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE VIEW SET_TEST (EMP1, EMP_AVG, EMP_MAX) AS SELECT EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY EMPNUM");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE VIEW SET_TEST (EMP1, EMP_AVG, EMP_MAX) AS SELECT SCHEME1.STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY SCHEME1.STAFF.EMPNUM");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE VIEW SET_TEST (EMP1, EMP_AVG, EMP_MAX) AS SELECT STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY STAFF.EMPNUM");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE HU.ECCO (C1 CHARACTER (2))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A LIKE 'B' )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A LIKE 'B' )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A NOT LIKE 'B' )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A NOT LIKE 'B' )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT ALL A FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT ALL A INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT DISTINCT A FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT DISTINCT A INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT (A + Z) FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT (A + Z) INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A, E FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A, E INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT ((A - B) * Z) FROM D");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT ((A - B) * Z) INTO  FROM D");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A, B FROM Z");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A, B INTO  FROM Z");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A, B, E FROM Z");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A, B, E INTO  FROM Z");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE ASSERTION ASSERTION_1 CHECK ( ( NOT ( EXISTS (SELECT * FROM TABLE_CONSTRAINTS FULL OUTER JOIN KEY_COLUMN_USAGE USING (CONSTRAINT_CATALOG, CONSTRAINT_SCHEMA, CONSTRAINT_NAME) WHERE ( ( COLUMN_NAME IS NULL ) AND ( CONSTRAINT_TYPE IN ('UNIQUE', 'PRIMARY KEY', 'FOREIGN KEY') ) )) ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM Z, D");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM Z, D");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM Z, D");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM Z, D");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM Z, D, E");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM Z, D, E");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( Z = D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( Z = D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( Z = D ) OR ( E = F ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( Z = D ) OR ( E = F ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( ( Z = D ) OR ( E = F ) ) AND ( G = H ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( ( Z = D ) OR ( E = F ) ) AND ( G = H ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( ( Z = D ) OR ( E = F ) ) AND ( ( G = H ) OR ( I = J ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( ( Z = D ) OR ( E = F ) ) AND ( ( G = H ) OR ( I = J ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( NOT ( A = B ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( NOT ( A = B ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( NOT ( A = B ) ) OR ( Z = D ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( NOT ( A = B ) ) OR ( Z = D ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( NOT ( ( A = B ) OR ( Z = D ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( NOT ( ( A = B ) OR ( Z = D ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( ((A + B) * Z) > 5 ) AND ( G = H ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( ((A + B) * Z) > 5 ) AND ( G = H ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( ( I = J ) OR ( K = L ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( ( I = J ) OR ( K = L ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( ((A + B) * Z) < 3 ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( ((A + B) * Z) < 3 ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( NOT ( A = B ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( NOT ( A = B ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( NOT ( ( A = B ) OR ( Z = D ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( NOT ( ( A = B ) OR ( Z = D ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ( NOT ( A = B ) ) OR ( NOT ( ( Z = D ) OR ( H = G ) ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ( NOT ( A = B ) ) OR ( NOT ( ( Z = D ) OR ( H = G ) ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B GROUP BY A");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B GROUP BY A");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A = B ) GROUP BY Z");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A = B ) GROUP BY Z");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B GROUP BY A, B, Z");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B GROUP BY A, B, Z");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( Z = D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( Z = D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( ((A + B) * Z) > 3 ) HAVING ( Z = D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( ((A + B) * Z) > 3 ) HAVING ( Z = D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( ( Z = D ) OR ( E = F ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( ( Z = D ) OR ( E = F ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( ( ( Z = D ) OR ( E = F ) ) AND ( G = H ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( ( ( Z = D ) OR ( E = F ) ) AND ( G = H ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( ( ( Z = D ) OR ( E = F ) ) AND ( ( G = H ) OR ( I = J ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( ( ( Z = D ) OR ( E = F ) ) AND ( ( G = H ) OR ( I = J ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( NOT ( A = B ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( NOT ( A = B ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( ( NOT ( A = B ) ) OR ( Z = D ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( ( NOT ( A = B ) ) OR ( Z = D ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( NOT ( ( A = B ) OR ( Z = D ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( NOT ( ( A = B ) OR ( Z = D ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( ( ((A + B) * Z) > 5 ) AND ( G = H ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( ( ((A + B) * Z) > 5 ) AND ( G = H ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( ( I = J ) OR ( K = L ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( ( I = J ) OR ( K = L ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( NOT ( A = B ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( NOT ( A = B ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( NOT ( ( A = B ) OR ( Z = D ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( NOT ( ( A = B ) OR ( Z = D ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B HAVING ( ( NOT ( A = B ) ) OR ( NOT ( ( Z = D ) OR ( H = G ) ) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B HAVING ( ( NOT ( A = B ) ) OR ( NOT ( ( Z = D ) OR ( H = G ) ) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( Z = D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( Z = D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( Z <> D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( Z <> D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( Z < D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( Z < D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( Z <= D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( Z <= D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( Z > D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( Z > D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( Z >= D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( Z >= D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A BETWEEN Z AND D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A BETWEEN Z AND D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A NOT BETWEEN Z AND D )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A NOT BETWEEN Z AND D )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A IN (B, Z, D) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A IN (B, Z, D) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A NOT IN (B, Z, D) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A NOT IN (B, Z, D) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A IN (SELECT Z FROM D) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A IN (SELECT Z FROM D) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A NOT IN (SELECT Z FROM D) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A NOT IN (SELECT Z FROM D) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A IS NULL )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A IS NULL )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A IS NOT NULL )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A IS NOT NULL )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A > (SELECT B FROM Z) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A > (SELECT B FROM Z) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A < ALL (SELECT B FROM Z) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A < ALL (SELECT B FROM Z) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A <= ANY (SELECT B FROM Z) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A <= ANY (SELECT B FROM Z) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( A >= SOME (SELECT B FROM Z) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( A >= SOME (SELECT B FROM Z) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( EXISTS (SELECT B FROM Z) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( EXISTS (SELECT B FROM Z) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B WHERE ( NOT ( EXISTS (SELECT B FROM Z) ) )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A INTO  FROM B WHERE ( NOT ( EXISTS (SELECT B FROM Z) ) )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT * FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT * INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A.* FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT A.* INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT COUNT (*) FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT COUNT (*) INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT AVG (((A + B) * Z)) FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT AVG (((A + B) * Z)) INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT ((-3 * 5) + 2) FROM B");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, A);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT ((-3 * 5) + 2) INTO  FROM B");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
TString   hstCursorName;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
hstCursorName                   = htOci7xManager.instantiateString ("C");
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT A FROM B");
OCI7X_DECLARE_CURSOR (htOci7xManager.stSqlInstruction, hstCursorName.data());
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( false )
{
  htOci7xManager.stSqlInstruction.format ("");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
}

return 0;

}  /* main() */

