#include "postgresql-libpq-6.2.x.hh"


/*
*  UESQLC::postgresql-libpq-6.2.x internal variables initiation.
*/

TPostgresql62xManager   htPostgresql62xManager;


/*
*  Name:      test-general-1.uesql.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Exhaustive test for UESQL
*  Date:      $Date: 1998/10/29 23:10:30 $
*  Revision:  $Revision: 1.3 $
*
*  Copyright (C) 1996-1998  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

/*
*  I have had to substitute the field named C by another name to
*  avoid collision with NRW_C.
*
*  --  ::=  Compiler error
*  --- ::=  Sentence error
*
*/


int main (void)
{

{
/*
*  SQL instructions.
*/
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT CATALOG1.SCHEME1.STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY CATALOG1.SCHEME1.STAFF.EMPNUM;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT MODULE.STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY MODULE.STAFF.EMPNUM;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
CREATE VIEW SET_TEST (EMP1, EMP_AVG, EMP_MAX) AS SELECT EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY EMPNUM
CREATE VIEW SET_TEST (EMP1, EMP_AVG, EMP_MAX) AS SELECT SCHEME1.STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY SCHEME1.STAFF.EMPNUM
CREATE VIEW SET_TEST (EMP1, EMP_AVG, EMP_MAX) AS SELECT STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY STAFF.EMPNUM
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE HU.ECCO (C1 CHAR (2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A LIKE 'B' );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A NOT LIKE 'B' );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT ALL A FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction, htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT DISTINCT A FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction, htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT (A + Z) FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A, E FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT ((A - B) * Z) FROM D;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A, B FROM Z;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A, B, E FROM Z;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
CREATE ASSERTION ASSERTION_1 CHECK ( ( NOT ( EXISTS (SELECT * FROM TABLE_CONSTRAINTS FULL OUTER JOIN KEY_COLUMN_USAGE USING (CONSTRAINT_CATALOG, CONSTRAINT_SCHEMA, CONSTRAINT_NAME) WHERE ( ( COLUMN_NAME IS NULL ) AND ( CONSTRAINT_TYPE IN ('UNIQUE', 'PRIMARY KEY', 'FOREIGN KEY') ) )) ) ) )
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM Z, D;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM Z, D;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM Z, D, E;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( Z = D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( Z = D ) OR ( E = F ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( ( Z = D ) OR ( E = F ) ) AND ( G = H ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( ( Z = D ) OR ( E = F ) ) AND ( ( G = H ) OR ( I = J ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( NOT ( A = B ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( NOT ( A = B ) ) OR ( Z = D ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( NOT ( ( A = B ) OR ( Z = D ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( ((A + B) * Z) > 5 ) AND ( G = H ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( ( I = J ) OR ( K = L ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( ((A + B) * Z) < 3 ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( NOT ( A = B ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( NOT ( ( A = B ) OR ( Z = D ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ( NOT ( A = B ) ) OR ( NOT ( ( Z = D ) OR ( H = G ) ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B GROUP BY A;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A = B ) GROUP BY Z;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B GROUP BY A, B, Z;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( Z = D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( ((A + B) * Z) > 3 ) HAVING ( Z = D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( ( Z = D ) OR ( E = F ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( ( ( Z = D ) OR ( E = F ) ) AND ( G = H ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( ( ( Z = D ) OR ( E = F ) ) AND ( ( G = H ) OR ( I = J ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( NOT ( A = B ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( ( NOT ( A = B ) ) OR ( Z = D ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( NOT ( ( A = B ) OR ( Z = D ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( ( ((A + B) * Z) > 5 ) AND ( G = H ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( I = J ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( ( ( ((A + B) * Z) > 5 ) OR ( G = H ) ) AND ( ( I = J ) OR ( K = L ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( NOT ( A = B ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( NOT ( ( A = B ) OR ( Z = D ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B HAVING ( ( NOT ( A = B ) ) OR ( NOT ( ( Z = D ) OR ( H = G ) ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( Z = D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( Z <> D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( Z < D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( Z <= D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( Z > D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( Z >= D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A BETWEEN Z AND D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A NOT BETWEEN Z AND D );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A IN (B, Z, D) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A NOT IN (B, Z, D) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A IN (SELECT Z FROM D) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A NOT IN (SELECT Z FROM D) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A IS NULL );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A IS NOT NULL );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A > (SELECT B FROM Z) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A < ALL (SELECT B FROM Z) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A <= ANY (SELECT B FROM Z) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( A >= SOME (SELECT B FROM Z) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( EXISTS (SELECT B FROM Z) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A FROM B WHERE ( NOT ( EXISTS (SELECT B FROM Z) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT * FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT A.* FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT COUNT (*) FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT AVG (((A + B) * Z)) FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT ((-3 * 5) + 2) FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  A = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE C CURSOR FOR SELECT A FROM B;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););

}

return 0;

}  /* main() */

